# Product images insertion

Using this endpoint you can upload new images to a product. This is an
asynchronous request,

see how [Asynchronous
requests](https://developers.shoptet.com/asynchronous-requests/) work on
our

developer's portal. Maximum of 100 images can be sent at once.

Endpoint: POST /api/products/{guid}/images/{gallery}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `guid` (string, required)
    Product's guid
    Example: "95b84d4b-7481-11e8-8216-002590dad85e"

  - `gallery` (string, required)
    Gallery identifier - use shop for normal and shop360 for 360
photos
    Example: "shop"

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.images` (array, required)

  - `data.images.sourceUrl` (string, required)
    URL of the image.

  - `data.images.priority` (integer)
    Image priority.

  - `data.images.description` (string)
    Image description.

## Response 202 fields (application/json):

  - `data` (object, required)

  - `data.jobId` (string, required)
    token of job

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


